CRUFT(8)

NAME
cruft - Check the filesystem for cruft (missing and unexplained files)

SYNOPSIS
cruft [ FILE ]

DESCRIPTION
cruft is a program that goes over the Debian packaging system's database, and compares the contents of that with the files actually on your system, and produces a summary of the differences.

OPTIONS
If a file is provided, cruft-ng will analyze this single file and print matching package(s) name(s).
Without any option, cruft-ng will analyze the whole system.

FILES
A user can tune execution by providing extra configuration files:

/etc/cruft/ignore
    Do not process paths listed in this file, this can speed-up matching. Example values: /var/schroot/, /var/www/ ... This will override the default /usr/share/cruft/ignore

/etc/cruft/filters/*
    Rules (glob-patterns) similar that are similar to those built-in into cruft package. The uppercase files are always processed, the lowercase ones are processed when matching package is installed.

/etc/cruft/explain/*
    Shell scripts that will print-out a list of temporary file belonging to a package. The uppercase files are always processed, the lowercase ones are processed when matching package is installed.

ENVIRONMENT VARIABLES
It is possible to get some debugging information from cruft by setting the variable DEBUG.

SEE ALSO
Documentation from original cruft package: https://github.com/a-detiste/cruft/blob/master/README

AUTHOR
This manual page was written by Alexandre Detiste <alexandre@detiste.be>, for the Debian GNU/Linux system (but may be used by others).